Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer.plaf
Class MetalAlignmentViewerUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--uk.ac.man.bioinf.gui.viewer.plaf.AlignmentViewerUI
                  |
                  +--uk.ac.man.bioinf.gui.viewer.plaf.BasicAlignmentViewerUI
                        |
                        +--uk.ac.man.bioinf.gui.viewer.plaf.MetalAlignmentViewerUI

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener, PropertyChangeListener

public class MetalAlignmentViewerUI
extends BasicAlignmentViewerUI

MetalAlignmentViewerUI.java Created: Tue Mar 14 16:32:29 2000

Version:
  $Id: MetalAlignmentViewerUI.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.gui.viewer.plaf.BasicAlignmentViewerUI
`BasicAlignmentViewerUI.KeyScroller, BasicAlignmentViewerUI.PointListener, BasicAlignmentViewerUI.SelectionClearer, BasicAlignmentViewerUI.SelectionToggler`

Constructor Summary
`MetalAlignmentViewerUI()`

Methods inherited from class uk.ac.man.bioinf.gui.viewer.plaf.BasicAlignmentViewerUI
`createUI, getCellBounds, getCellBounds, getPointAtSequencePoint, getPointAtSequencePoint, getSequenceAlignmentRectangleAtRectangle, getSequencePointAtPoint, installKeyboardActions, installListeners, installUI, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, paint, paintCells, paintFocusRect, paintImmediately, paintSelection, propertyChange, registerKey, registerKey, renderCell, repaint, setCursorBlink, uninstallListeners, uninstallUI, unsetCursorBlink`

Methods inherited from class uk.ac.man.bioinf.gui.viewer.plaf.AlignmentViewerUI
`getSequencePointAtPoint`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalAlignmentViewerUI

    public MetalAlignmentViewerUI()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD